petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPGetComputeSingularValues

Gets the flag indicating whether the extreme singular values will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetComputeSingularValues(KSP ksp,PetscBool  *flg)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

flg -PETSC_TRUE or PETSC_FALSE

### Options Database Key

-ksp_monitor_singular_value -Activates KSPSetComputeSingularValues()

### Notes

Currently this option is not valid for all iterative methods.

Many users may just want to use the monitoring routine KSPMonitorSingularValue() (which can be set with option -ksp_monitor_singular_value) to print the singular values at each iteration of the linear solve.

### See Also

KSPComputeExtremeSingularValues(), KSPMonitorSingularValue(), KSP

### Level

advanced

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages